Update published branding
curl --request PUT \
--url https://app.myhero.so/published/{projectId}/branding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyBranding": {
"name": "<string>",
"logo": "<string>",
"url": "<string>"
},
"ctaBranding": {
"text": "<string>",
"url": "<string>"
}
}
'import requests
url = "https://app.myhero.so/published/{projectId}/branding"
payload = {
"companyBranding": {
"name": "<string>",
"logo": "<string>",
"url": "<string>"
},
"ctaBranding": {
"text": "<string>",
"url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyBranding: {name: '<string>', logo: '<string>', url: '<string>'},
ctaBranding: {text: '<string>', url: '<string>'}
})
};
fetch('https://app.myhero.so/published/{projectId}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": true
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Update published branding
Updates the company info and call-to-action branding stored on a project’s published portal.
Requires the caller to be the project owner or have workspace edit permission.
PUT
/
published
/
{projectId}
/
branding
Update published branding
⌘I